#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <unistd.h>

#include "fourni.h"

int main(){

    int largeur, hauteur;
    struct timeval tv_start;
    int seed;
    int i;
    int nbsteps;
    short* matrice;
    short* tmp;

    printf( "Largeur ?\n" );
    scanf( "%d", &largeur );
    printf( "Hauteur ?\n" );
    scanf( "%d", &hauteur );
    printf( "Nb steps?\n" );
    scanf( "%d", &nbsteps );
 
    /* initialisation */

    gettimeofday( &tv_start, NULL );
    seed = getpid() & ( tv_start.tv_usec + 1000000 * tv_start.tv_sec );
    srandom( seed );
    matrice = init( hauteur, largeur, __DENSITE__ );
    
    afficher( matrice, hauteur, largeur );
    tmp = (short*) malloc( largeur * hauteur * sizeof( short ) );
    
    /* On fait tourner le jeu */

    for( i = 0 ; i < nbsteps ; i++ ) {
        jeuDeLaVie( matrice, tmp, hauteur, largeur );
    }

    /* Fin */

    afficher( matrice, hauteur, largeur );
    
    free( matrice );
    free( tmp );

    return EXIT_SUCCESS;

}
